Bug 697240 - [abrt] fedpkg-0.5.7.0-1.fc15: __init__.py:774:retire:UnboundLocalError: local variable 'msg' referenced before assignment
Summary: [abrt] fedpkg-0.5.7.0-1.fc15: __init__.py:774:retire:UnboundLocalError: local...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ef9979e3
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 05:29 UTC by Robin Lee
Modified: 2013-01-10 06:34 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-10 13:32:08 UTC


Attachments (Terms of Use)
File: backtrace (734 bytes, text/plain)
2011-04-17 05:29 UTC, Robin Lee
no flags Details

Description Robin Lee 2011-04-17 05:29:47 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg retire 'Not used by any other package and hard to maintain'
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.38.2-9.fc15.x86_64
package: fedpkg-0.5.7.0-1.fc15
reason: __init__.py:774:retire:UnboundLocalError: local variable 'msg' referenced before assignment
release: Fedora release 15 (Lovelock)
time: 1303017842
uid: 500

backtrace
-----
__init__.py:774:retire:UnboundLocalError: local variable 'msg' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1486, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 660, in retire
    pyfedpkg.retire(args.path, args.msg)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 774, in retire
    fd.write(msg)
UnboundLocalError: local variable 'msg' referenced before assignment

Local variables in innermost frame:
path: '/media/csd/Programming/pkgdb/python-ZODB3'
message: 'Not used by any other package and hard to maintain'
cmd: ['git', 'rm', '-rf', '.']
fd: <open file '/media/csd/Programming/pkgdb/python-ZODB3/dead.package', mode 'w' at 0x2c92db0>

How to reproduce
-----
1. Running "fedpkg retire 'Some message'"

Comment 1 Robin Lee 2011-04-17 05:29:51 UTC
Created attachment 492665 [details]
File: backtrace

Comment 2 Jesse Keating 2011-05-23 22:40:33 UTC
I committed something to fix this upstream.

Comment 3 Fedora Update System 2011-05-28 01:14:32 UTC
fedora-packager-0.5.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc15

Comment 4 Fedora Update System 2011-05-28 01:20:39 UTC
fedora-packager-0.5.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc14

Comment 5 Fedora Update System 2011-05-28 01:22:20 UTC
fedora-packager-0.5.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc13

Comment 6 Fedora Update System 2011-05-28 01:27:03 UTC
fedora-packager-0.5.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6

Comment 7 Fedora Update System 2011-05-28 01:28:42 UTC
fedora-packager-0.5.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el5

Comment 8 Fedora Update System 2011-05-28 21:32:49 UTC
Package fedora-packager-0.5.9.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.9.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-10 13:31:36 UTC
fedora-packager-0.5.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-15 05:47:59 UTC
fedora-packager-0.5.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-15 05:53:06 UTC
fedora-packager-0.5.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-16 00:29:59 UTC
fedora-packager-0.5.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-16 00:33:04 UTC
fedora-packager-0.5.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.